GDCM 3.2.1

Public Member Functions | Friends | List of all members
gdcm::BasicOffsetTable Class Reference

Class to represent a BasicOffsetTable. More...

`#include <gdcmBasicOffsetTable.h>`

Inheritance diagram for gdcm::BasicOffsetTable:
[legend]
Collaboration diagram for gdcm::BasicOffsetTable:
[legend]

## Public Member Functions
| BasicOffsetTable ()
template<typename TSwap>
std::istream & | Read (std::istream &is)
Public Member Functions inherited from gdcm::Fragment
| Fragment ()
VL | ComputeLength () const
VL | GetLength () const
template<typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TSwap>
std::istream & | ReadBacktrack (std::istream &is)
template<typename TSwap>
std::istream & | ReadPreValue (std::istream &is)
template<typename TSwap>
std::istream & | ReadValue (std::istream &is)
template<typename TSwap>
std::ostream & | Write (std::ostream &os) const
Public Member Functions inherited from gdcm::DataElement
| DataElement (const DataElement &_val)
| DataElement (const Tag &t=Tag(0), const VL &vl=0, const VR &vr=VR::INVALID)
void | Clear ()
| Clear Data Element (make Value empty and invalidate Tag & VR)
void | Empty ()
| Make Data Element empty (no Value)
const ByteValue * | GetByteValue () const
template<typename TDE>
VL | GetLength () const
SequenceOfFragments * | GetSequenceOfFragments ()
const SequenceOfFragments * | GetSequenceOfFragments () const
Tag & | GetTag ()
const Tag & | GetTag () const
| Get Tag.
Value & | GetValue ()
Value const & | GetValue () const
| Set/Get Value (bytes array, SQ of items, SQ of fragments):
SmartPointer< SequenceOfItems > | GetValueAsSQ () const
VL & | GetVL ()
const VL & | GetVL () const
| Get VL.
VR const & | GetVR () const
bool | IsEmpty () const
| Check if Data Element is empty.
bool | IsUndefinedLength () const
| return if Value Length if of undefined length
bool | operator< (const DataElement &de) const
DataElement & | operator= (const DataElement &)=default
bool | operator== (const DataElement &de) const
template<typename TDE, typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TDE, typename TSwap>
std::istream & | ReadOrSkip (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadPreValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadValue (std::istream &is, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadValueWithLength (std::istream &is, VL &length, std::set< Tag > const &skiptags)
template<typename TDE, typename TSwap>
std::istream & | ReadWithLength (std::istream &is, VL &length)
void | SetByteValue (const char *array, VL length)
void | SetTag (const Tag &t)
void | SetValue (Value const &vl)
void | SetVL (const VL &vl)
void | SetVLToUndefined ()
void | SetVR (VR const &vr)
template<typename TDE, typename TSwap>
const std::ostream & | Write (std::ostream &os) const

## Friends
std::ostream & | operator<< (std::ostream &os, const BasicOffsetTable &val)

## Additional Inherited Members
Protected Types inherited from gdcm::DataElement
typedef SmartPointer< Value > | ValuePtr
Protected Member Functions inherited from gdcm::DataElement
void | SetValueFieldLength (VL vl, bool readvalues)
Protected Attributes inherited from gdcm::DataElement
Tag | TagField
ValuePtr | ValueField
VL | ValueLengthField
VR | VRField

## Detailed Description

Class to represent a BasicOffsetTable.

## Constructor & Destructor Documentation

## ◆ BasicOffsetTable()

gdcm::BasicOffsetTable::BasicOffsetTable | ( |  | ) |
| inline

References gdcm::Fragment::Fragment().

Referenced by operator<<.

## Member Function Documentation

## ◆ Read()

template<typename TSwap>

std::istream & gdcm::BasicOffsetTable::Read | ( | std::istream & | is | ) |
| inline

References gdcm_assert, gdcmAssertAlwaysMacro, gdcm::ParseException::SetLastElement(), gdcm::DataElement::TagField, gdcm::DataElement::ValueField, and gdcm::DataElement::ValueLengthField.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const BasicOffsetTable & | val )
| friend

References BasicOffsetTable(), gdcm_assert, gdcm::DataElement::GetByteValue(), operator<<, gdcm::DataElement::ValueField, and gdcm::DataElement::ValueLengthField.

Referenced by operator<<.

The documentation for this class was generated from the following file:

- gdcmBasicOffsetTable.h